org.apache.jmeter.samplers

## Class AsynchSampleSender

- java.lang.Object
- - org.apache.jmeter.samplers.AbstractSampleSender
  - - org.apache.jmeter.samplers.AsynchSampleSender

- All Implemented Interfaces:
    Serializable, SampleSender

      public class AsynchSampleSender
      extends AbstractSampleSender
      implements Serializable

  Sends samples in a separate Thread and in Batch mode
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `AsynchSampleSender()` Deprecated. only for use by test code
    `protected` | `AsynchSampleSender(RemoteSampleListener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `readResolve()` Processed by the RMI server code.
    `void` | `sampleOccurred(SampleEvent e)` A sample occurred.
    `void` | `testEnded(String host)` The test ended.

    - ### Methods inherited from class org.apache.jmeter.samplers.AbstractSampleSender

      `isClientConfigured, testEnded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsynchSampleSender

          @Deprecated
          public AsynchSampleSender()

      Deprecated. only for use by test code

    - #### AsynchSampleSender

          protected AsynchSampleSender(RemoteSampleListener listener)

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()
                                throws ObjectStreamException

      Processed by the RMI server code.
      Returns:
        this
      Throws:
        `ObjectStreamException` - never

    - #### testEnded

          public void testEnded(String host)

      Description copied from interface: `SampleSender`
      The test ended. This will be called from the engine thread.
      Specified by:
        `testEnded` in interface `SampleSender`
      Parameters:
        `host` - the host that the test ended on.

    - #### sampleOccurred

          public void sampleOccurred(SampleEvent e)

      Description copied from interface: `SampleSender`
      A sample occurred. This method will be called from the sampler thread.
      Specified by:
        `sampleOccurred` in interface `SampleSender`
      Parameters:
        `e` - a Sample Event

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.